<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    style="@style/MatchMatch.Vertical">

    <include layout="@layout/toolbar_title_text" />

    <RelativeLayout
        android:id="@+id/ll_out_w"
        style="@style/MatchMatch.Horizontal">
        <!--rfid出库、扫码出库 按钮-->
        <LinearLayout
            android:id="@+id/llOutbound"
            style="@style/MatchWrap.Horizontal"
            android:paddingHorizontal="10dp">

            <Button
                android:id="@+id/btnRfidOutbound"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="rfid出库" />

            <Button
                android:id="@+id/btnScanOutbound"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_weight="1"
                android:text="扫码出库" />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            style="@style/RecyclerViewStyleMatchMatch"
            android:layout_below="@+id/llOutbound"
            tools:itemCount="2"
            tools:listitem="@layout/item_outbound_details" />

        <!--    弹窗 背景不允许点击-->
        <RelativeLayout
            android:id="@+id/side_menu"
            android:layout_width="330dp"
            android:layout_height="match_parent"
            android:layout_alignParentStart="true"
            android:layout_centerVertical="true"
            android:background="@drawable/alert_bg"
            android:elevation="16dp"
            android:translationX="-330dp">

            <RelativeLayout
                android:id="@+id/rl_title"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:elevation="10dp">

                <TextView
                    android:id="@+id/tv_title"
                    style="@style/text_black16_ww"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="10dp"
                    android:text="FRID 出库"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_title2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="10dp"
                    android:layout_toEndOf="@+id/tv_title"
                    android:background="@drawable/red_bg2"
                    android:paddingHorizontal="8dp"
                    android:paddingVertical="5dp"
                    android:text="请识别RFID进行出库"
                    android:textColor="@color/text_orange3"
                    android:textSize="10sp"
                    android:textStyle="bold" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_close"
                    android:layout_width="45dp"
                    android:layout_height="45dp"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:background="?actionBarItemBackground"
                    android:padding="13dp"
                    android:src="@drawable/login_clear_icon" />
            </RelativeLayout>

            <!--横线-->
            <View
                android:id="@+id/view_line"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_below="@+id/rl_title"
                android:layout_marginBottom="5dp"
                android:background="@color/c_f5f5" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_outBoundFrid"
                style="@style/RecyclerViewStyleMatchMatch"
                android:layout_below="@+id/view_line" />

            <!--暂无数据-->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll_nothing"
                style="@style/WrapWrap.Vertical"
                android:layout_centerInParent="true"
                android:gravity="center">

                <ImageView
                    android:layout_width="100dp"
                    android:layout_height="100dp"
                    android:src="@mipmap/nothing_icon" />

                <TextView
                    android:id="@+id/tv_no_data"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="请识别出库商品标签"
                    android:textColor="@color/c_999"
                    android:textSize="14sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

        </RelativeLayout>

    </RelativeLayout>

</LinearLayout>
